package net.wanji.utc.mapper;

import net.wanji.utc.po.CrossSectionPO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author Kent HAN
 * @date 2022/11/18 16:46
 */
public interface CrossSectionMapper {
    void deleteOne(@Param("crossId") String crossId,
                   @Param("timeSecNo") Integer timeSecNo);

    void insertOne(CrossSectionPO crossSectionPO);

    void insertBatch(@Param("entities") List<CrossSectionPO> crossSectionPOList);

    List<CrossSectionPO> selectByCrossId(@Param("crossId") String crossId);

    List<CrossSectionPO> selectByCrossIdAndPlanId(@Param("crossId") String crossId,
                                                  @Param("planId") Integer planId);
}
